<?php require_once('Connections/cn.php'); ?>
<?php
session_start();
	$cedula_usuario=$_SESSION['CEDULA_USUARIO'];
	mysql_select_db($database_cn, $cn);

	// Para tomar los datos del alumno
	$sql = "SELECT id_alumno,cedula,apellidos, nombres FROM alumnos WHERE cedula='$cedula_usuario'";
	$rs = mysql_query($sql, $cn) or die(mysql_error());
	$row = mysql_fetch_assoc($rs);
	$id_alumno= $row['id_alumno'];
	
header("Content-Type:text/html; charset=UTF-8");
$Area= $_REQUEST["id"];
// Realizo la consulta de la Tabla materias filtrando con la carrera que se seleccion�.

mysql_select_db($database_cn, $cn);
mysql_query ("SET NAMES 'utf8'");
$query_materias = "Select
inscripciones.id_materia,
materias.nombre_materia,
materias.semestre,
materias.orden
From
inscripciones
Inner Join materias ON inscripciones.id_materia = materias.id_materia
Where
inscripciones.id_alumno = '$id_alumno' AND
materias.id_carrera = '$Area' 
Order By
materias.semestre Asc,
materias.orden Asc";
$rst_materias = mysql_query($query_materias, $cn) or die(mysql_error());
//$row_materias = mysql_fetch_assoc($rst_materias);
$totalRows_materias = mysql_num_rows($rst_materias);  

$array_select2 = array(0=>"Seleccione...");
$array_materias = array(0=>"0");
if($totalRows_materias >0)
{
	
	$code=1;
	while($materia = mysql_fetch_assoc($rst_materias))
		{
		
			$array_materias[$code] = $materia["id_materia"];		
			$array_select2[$code]=  $materia["nombre_materia"];	
			$code += 1;
		}
}		

// Bucle para cargar las maetrias en el combo (materias)
for ($i=0; $i<count($array_select2);$i++){
    if($i==0){
	   echo "<option value=".$array_materias[$i].">".$array_select2[$i]."</option>";
	 }
	 else{
	   echo "<option value=".$array_materias[$i].">".$array_select2[$i].'-'.$array_materias[$i]."</option>";
	 }
}

?>